#include <HardwareSerial.h> // Reference the ESP32 built-in serial port library
HardwareSerial lidarSerial(2); // Using serial port 2
#define RXD2 16
#define TXD2 17
uint8_t buf1[5] = {0x5A, 0x05, 0x0A, 0x01, 0x6A}; 
uint8_t buf2[4] = {0x5A, 0x04, 0x11, 0x6F}; 
void setup() {
  Serial.begin(115200); // Initializing serial port
  lidarSerial.begin(115200, SERIAL_8N1, RXD2, TXD2); // Initializing serial port
}

void loop() {
  lidarSerial.write(buf1, 5); // Write 5 bytes of data
  lidarSerial.write(buf2, 4); // Write 4 bytes of data
  delay(3000); 
  Serial.print("UART To IIC：End of configuration.\n");
  delay(6000); 
}