#IIC————UART
import smbus
import time

bus = smbus.SMBus(1) # Change the I2C bus number based on the actual device
address = 0x10 # Radar default address 0x10

def getLidarData(i2c_addr):
    bus.write_i2c_block_data(i2c_addr, 0, [0x5A,0x05,0x0A,0x00,0x69]) # Send mode switch instruction
    bus.write_i2c_block_data(i2c_addr, 0, [0x5A, 0x04, 0x11, 0x6F]) #Send the save configuration instruction
    time.sleep(3)  
    print("IIC To UART：End of configuration. ")
    
time.sleep(1) 
getLidarData(address) 


