
//IIC-UART
#include <wiringPi.h>
#include <wiringPiI2C.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <unistd.h>
#define I2C_ADDR 0x10             //   Radar default address 0x10

unsigned char buf1[5] = {0x5A,0x05,0x0A,0x00,0x69}; 
unsigned char buf2[4] = {0x5A, 0x04, 0x11, 0x6F}; 

void getLidarData(int fd)
{
    write(fd, buf1,5); //  Send mode switch instruction
    write(fd, buf2,4); // #Send the save configuration instruction
    delay(3000); 
    printf("IIC To UART：End of configuration.\n");

    
}

int main(void)
{
    int tf=wiringPiI2CSetup(I2C_ADDR);
    printf("I2C slave address: 0x%x\n", I2C_ADDR);
    getLidarData(tf);
   
    return 0;
}