#IIC————UART

from machine import Pin, I2C
import time

i2c0 = I2C(0, scl=Pin(9), sda=Pin(8), freq=100000)     

print(i2c0.scan())    #Scan the address of the current device
address = 16          #Radar module communication address 0x10

def getLidarData(I2C,I2C_ADDR):
    I2C.writeto(I2C_ADDR, bytearray([0x5A,0x05,0x0A,0x00,0x69]))    # Send mode switch instruction
    I2C.writeto(I2C_ADDR, bytearray([0x5A,0x04,0x11,0x6F]))         #Send the save configuration instruction
    time.sleep(3)  
    print("IIC To UART：End of configuration. ")
    
time.sleep(1)  
getLidarData(i2c0,address) 





